# Läuferimport

Um das Eintragen von Läufer:innen ins System zu erleichtern können Läufer aus Excel-Tabellen(CSV, XLSX) importiert werden.
Diese Funktion ist vor allem für Schulen und Kindergärten gedacht, kann aber natürlich für alle Arten von Teams und Organisationen verwendet werden.
Im Folgenden erklären wir dir Schritt für Schritt, wie du Läufer ins System importieren kannst.

## Aufbau der Importdateien
> Die Datei muss im Format XLSX(Excel) oder CSV vorliegen

Alle Läufer müssen auf einem "Tabellenblatt"(Excel) stehen, alle weiteren Tabellenblätter werden ignoriert.
Die Tabelle muss folgendem Schema folgen:
Vorname | Mittelname | Nachname | Team/Klasse
- | - | - | -
Vorname1 | Optional | Nachname1 | Optional

Achtung: Die Team Spalte kann Team oder Klasse heißen!

### Beispiel: CSV

**Mit Mittelname**
> [Beispieldatei herunterladen](/files/class_with_middlename.csv)

```
Vorname; Mittelname; Nachname; Team;
Peter; ; Tester; 1A
Manuel; Steffen; Regenwald; 1A
Toller; ; Typ; 2A 
```

**Ohne Mittelname**
> [Beispieldatei herunterladen](/files/class_without_middlename.csv)

```
Vorname; Nachname; Team;
Peter; Tester; 1A
Manuel; Regenwald; 1A
Toller; Typ; 2A 
```

### Beispiel: XLSX (Excel)
**Mit Mittelname**
> [Beispieldatei herunterladen](/files/class_with_middlename.xlsx)

![Excel Screenshot with Middlename](/images/runner_import_excel_with_middlename.png)


**Ohne Mittelname**
> [Beispieldatei herunterladen](/files/class_without_middlename.xlsx)

![Excel Screenshot with Middlename](/images/runner_import_excel_no_middlename.png)

## Import in eine Organisation
> Wähle diese Variante, wenn du in einer Organisation automatisch Teams anlegen und die Läufer in diese Importieren willst. <br>
> Wähle diese Variante, wenn du Läufer direkt in eine Organisation importieren willst.

Wenn in der Datei bei einer Läufer:in kein Team angegeben ist wird sie direkt in die Organisation importiert.
Ist ein Team angegeben wird das Team in der Organisation gesucht und neu Angelegt, wenn es nicht gefunden wurde - danach wird die Läufer:in in das Team importiert.

### Aus der Organisationsübersicht
1. Öffne im Läufersystem die Seite `Orgs`
2. Klicke oben auf `Läufer importieren`
3. Klicke auf `Datei auswählen` und wähle die Datei aus, aus der du Läufer:innen importieren willst
4. Dir wird eine Übersicht aller Läufer:innen angezeigt, die in der Datei gefunden wurden - überprüfe alle Läufer:innen auf Korrektheit
5. Wähle oben die Organisation aus, in die die Läufer:innen importiert werden sollen
6. Klicke unten auf `Läufer importieren`, um die Läufer:innen zu importieren oder `Abbrechen`, um den Import abzubrechen
7. Die Läufer werden nun in die Organisation importiert

### Aus der Organisationsdetailansicht
1. Öffne im Läufersystem die Seite `Orgs`
2. Klicke bei der gewünschten Organisation auf den `Details` Button
3. Klicke oben auf `Läufer importieren`
4. Klicke auf `Datei auswählen` und wähle die Datei aus, aus der du Läufer:innen importieren willst
5. Dir wird eine Übersicht aller Läufer:innen angezeigt, die in der Datei gefunden wurden - überprüfe alle Läufer:innen auf Korrektheit
6. Wähle oben die Organisation aus, in die die Läufer:innen importiert werden sollen
7. Klicke unten auf `Läufer importieren`, um die Läufer:innen zu importieren oder `Abbrechen`, um den Import abzubrechen
8. Die Läufer werden nun in die Organisation importiert

### Aus der Läuferübersicht
1. Öffne im Läufersystem die Seite `Läufer`
2. Klicke oben auf `Läufer importieren`
3. Klicke auf `Datei auswählen` und wähle die Datei aus, aus der du Läufer:innen importieren willst
4. Dir wird eine Übersicht aller Läufer:innen angezeigt, die in der Datei gefunden wurden - überprüfe alle Läufer:innen auf Korrektheit
5. Wähle oben die Organisation (Hat kein `>` im Namen) aus, in die die Läufer:innen importiert werden sollen
6. Klicke unten auf `Läufer importieren`, um die Läufer:innen zu importieren oder `Abbrechen`, um den Import abzubrechen
7. Die Läufer werden nun in die Organisation importiert

## Import in ein Team
> Wähle diese Variante, wenn du Läufer direkt in ein Team importieren willst.

Wenn in der Datei bei einer Läufer:in ein Team angegeben ist wird dieses ignoriert und mit dem gewählten Team überschrieben..

### Aus der Teamdetailansicht
1. Öffne im Läufersystem die Seite `Teams`
2. Klicke bei de, gewünschten Team auf den `Details` Button
3. Klicke oben auf `Läufer importieren`
4. Klicke auf `Datei auswählen` und wähle die Datei aus, aus der du Läufer:innen importieren willst
5. Dir wird eine Übersicht aller Läufer:innen angezeigt, die in der Datei gefunden wurden - überprüfe alle Läufer:innen auf Korrektheit
6. Wähle oben das Team aus, in die die Läufer:innen importiert werden sollen
7. Klicke unten auf `Läufer importieren`, um die Läufer:innen zu importieren oder `Abbrechen`, um den Import abzubrechen
8. Die Läufer werden nun in das Team importiert

### Aus der Läuferübersicht
1. Öffne im Läufersystem die Seite `Läufer`
2. Klicke oben auf `Läufer importieren`
3. Klicke auf `Datei auswählen` und wähle die Datei aus, aus der du Läufer:innen importieren willst
4. Dir wird eine Übersicht aller Läufer:innen angezeigt, die in der Datei gefunden wurden - überprüfe alle Läufer:innen auf Korrektheit
5. Wähle oben das Team (Hat ein `>` im Namen) aus, in die die Läufer:innen importiert werden sollen
6. Klicke unten auf `Läufer importieren`, um die Läufer:innen zu importieren oder `Abbrechen`, um den Import abzubrechen
7. Die Läufer werden nun in das Team importiert